## ifcico-cm 3.0alpha.0.3.0-4

=== Makefile ===
# Copyright (c) Eugene G. Crosser, 1993
# Top-level makefile for ifcico package

include CONFIG

TARFILE = ifcico-${VERSION}.tar.gz
DIRS = iflib ifcico

all install depend man:
	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} $@) || exit; done;

clean:
	rm -f .filelist ${TARFILE}
	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} $@) || exit; done;


tar:	${TARFILE}

${TARFILE}:	filelist
	cd ..; ${TAR} -cv --exclude="*RCS*" -T ifcico-${VERSION}/.filelist -f - | gzip >${TARFILE}

filelist:
	echo ifcico-${VERSION}/Makefile >.filelist
	echo ifcico-${VERSION}/CONFIG >>.filelist
	echo ifcico-${VERSION}/ANNOUNCE >>.filelist
	echo ifcico-${VERSION}/ANNOUNCE.de >>.filelist
	echo ifcico-${VERSION}/README >>.filelist
	echo ifcico-${VERSION}/README-3.0.cm.alpha >>.filelist
	echo ifcico-${VERSION}/LSM >>.filelist
	echo ifcico-${VERSION}/misc >>.filelist
	echo ifcico-${VERSION}/contrib >>.filelist
	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} filelist && \
				cat filelist >>../.filelist) || exit; done;
