=== debian/changelog ===
ifcico-cm (3.0alpha.0.3.0-4) frozen unstable; urgency=low

  * Corrected "dosoutbound" bug.

 -- Marco d'Itri <md@linux.it>  Wed, 13 May 1998 12:27:26 -0700

ifcico-cm (3.0alpha.0.3.0-3) unstable; urgency=low

  * Corrected bug Bug#20073

 -- Marco d'Itri <md@linux.it>  Mon, 23 Mar 1998 12:46:06 -0800

ifcico-cm (3.0alpha.0.3.0-2) frozen unstable; urgency=low

  * Compiled for glibc2 and moved to hamm/comm

 -- Marco d'Itri <md@linux.it>  Sun, 10 Feb 1998 15:21:01 +0100

ifcico-cm (3.0alpha.0.3.0) unstable; urgency=low

  * patched rdconfig.c to remove warnings when ifmail-tx is used
  * New upstream release

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jan 1998 15:21:01 +0100

ifcico-cm (3.0alpha.0.2.2) unstable; urgency=low

  * Initial Release.

 -- Marco d'Itri <md@linux.it>  Mon, 29 Dec 1997 20:28:35 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "md@linux.it"
End:
