=== debian/control ===
Source: ifcico-cm
Section: comm
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 2.1.2.2

Package: ifcico-cm
Architecture: any
Depends: ${shlibs:Depends}, ifmail
Provides: ifcico
Conflicts: ifcico
Description: Fidonet Technology transport package
 Ifcico is a FidoTech mailer for connecting to other nodes via the phone
 or the Internet.
 This version includes the "tx" patches and the "cm" patches.
