## ifcico-cm 3.0alpha.4.0

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 TARFILE = ifcico-${VERSION}.tar.gz
 DIRS = iflib ifcico
 
-all install depend man:
+all install depend man man.gz:
 	for d in ${DIRS}; do (cd $$d && echo $$d && ${MAKE} $@) || exit; done;
 
 clean:
