=== ifcico/Makefile ===
--- 
+++ 
@@ -25,8 +25,9 @@
 		nlindex.o openterm.o nldbz.o dbz.o
 OBJINDEX = version.o ifindex.o nodebld.o nlindex.o nldbz.o dbz.o
 OBJINFO = version.o ifinfo.o nodelist.o nlindex.o nldbz.o dbz.o
+OBJPATCH = version.o nlpatch.o
+OBJREQ = version.o ifreq.o #nodelist.o nlindex.o nldbz.o dbz.o
 OBJROUTE = version.o ifroute.o mxlookup.o nodelist.o nlindex.o nldbz.o dbz.o
-OBJPATCH = version.o nlpatch.o
 OBJSTAT = version.o ifstat.o
 SRCS = lastmtime.c ifcico.c nodelist.c call.c callall.c answer.c \
 		modemstr.c openport.c opentcp.c dial.c session.c \
@@ -38,14 +39,15 @@
 		tcp.c tcpproto.c \
 		openfile.c dietifna.c openterm.c \
 		nlindex.c nodebld.c ifindex.c ifroute.c mxlookup.c \
-		nlpatch.c nldbz.c dbz.c ifstat.c ifinfo.c
+		nlpatch.c nldbz.c dbz.c ifstat.c ifinfo.c ifreq.c
 HDRS = nodelist.h statetbl.h session.h ttyio.h emsi.h zmodem.h \
-		ftscprod.h nlindex.h janus.h hydra.h fsm.h dbz.h nldbz.h
+		ftscprod.h nlindex.h janus.h hydra.h fsm.h dbz.h nldbz.h \
+		filetime.h openfile.h
 OTHER = README README.mxlookup README.TELNET Makefile \
 		flaglex.l flagexp.y \
 		ftscprod.090 mkprod.awk \
-		ifcico.8 ifindex.8 ifinfo.8 ifroute.8 ifstat.8 nlpatch.8
-ALL = ifcico ifindex ifinfo ifroute ifstat nlpatch
+		ifcico.8 ifindex.8 ifinfo.8 ifreq.8 ifroute.8 ifstat.8 nlpatch.8
+ALL = ifcico ifindex ifinfo ifreq ifroute ifstat nlpatch
 
 .c.o:
 	${CC} -c ${CFLAGS} ${INCLUDES} ${DEFINES} $<
@@ -77,6 +79,7 @@
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifcico ${BINDIR}/ifcico
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifindex ${BINDIR}/ifindex
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifinfo ${BINDIR}/ifinfo
+	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifreq ${BINDIR}/ifreq
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifroute ${BINDIR}/ifroute
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} ifstat ${BINDIR}/ifstat
 	${INSTALL} -o ${OWNER} -g ${GROUP} -m ${SMODE} nlpatch ${BINDIR}/nlpatch
@@ -96,6 +99,9 @@
 
 ifinfo: ${OBJINFO} ${UTLIB}
 	${CC} ${LDFLAGS} ${OBJINFO} ${UTLIB} -o ifinfo ${LIBS}
+
+ifreq: ${OBJREQ} ${UTLIB}
+	${CC} ${LDFLAGS} ${OBJREQ} ${UTLIB} -o ifreq ${LIBS}
 
 ifroute: ${OBJROUTE} ${UTLIB}
 	${CC} ${LDFLAGS} ${OBJROUTE} ${UTLIB} -o ifroute ${LIBS} ${LIBRESOLV}
@@ -125,12 +131,13 @@
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifcico.8 ${MANDIR}/man8/ifcico.8
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifindex.8 ${MANDIR}/man8/ifindex.8
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifinfo.8 ${MANDIR}/man8/ifinfo.8
+	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifreq.8 ${MANDIR}/man8/ifreq.8
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifroute.8 ${MANDIR}/man8/ifroute.8
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} ifstat.8 ${MANDIR}/man8/ifstat.8
 	${INSTALL} -o ${MANOWNER} -g ${MANGROUP} -m ${MANMODE} nlpatch.8 ${MANDIR}/man8/nlpatch.8
 
 man.gz:	man
-	( cd ${MANDIR}/man8/ ; gzip -9 ifcico.8 )
+	( cd ${MANDIR}/man8/ ; gzip -f9 ifcico.8 ifindex.8 ifinfo.8 ifreq.8 ifroute.8 ifstat.8 nlpatch.8 )
 
 config:
 	test -f config
@@ -197,14 +204,14 @@
 emsidat.o: ../iflib/ftn.h ../iflib/xutil.h ../iflib/lutil.h emsi.h session.h ../iflib/config.h ../iflib/version.h
 wazoo.o: ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h
 janus.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h ../iflib/config.h emsi.h janus.h
-hydra.o: ../iflib/lutil.h ../iflib/xutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h hydra.h
+hydra.o: ../iflib/lutil.h ../iflib/xutil.h filetime.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h openfile.h hydra.h
 zmsend.o: ttyio.h ../iflib/xutil.h ../iflib/lutil.h session.h zmodem.h emsi.h
 zmrecv.o: ../iflib/cspace.h ../iflib/xutil.h ../iflib/lutil.h ttyio.h zmodem.h session.h ../iflib/config.h emsi.h
 zmmisc.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h zmodem.h
 zmrle.o: ../iflib/lutil.h ttyio.h zmodem.h
 tcp.o: ../iflib/lutil.h ttyio.h session.h statetbl.h ../iflib/config.h emsi.h
 tcpproto.o: ../iflib/xutil.h ../iflib/lutil.h ttyio.h session.h ../iflib/config.h emsi.h
-openfile.o: ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h
+openfile.o: openfile.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/config.h
 dietifna.o: ../iflib/lutil.h ttyio.h session.h emsi.h
 openterm.o: ../iflib/lutil.h
 nlindex.o: ../iflib/directory.h dbz.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/ftn.h ../iflib/config.h nodelist.h nlindex.h nldbz.h
@@ -214,8 +221,9 @@
 mxlookup.o:
 nlpatch.o: ../iflib/getopt.h ../iflib/xutil.h ../iflib/lutil.h ../iflib/version.h ../iflib/config.h
 nldbz.o: ../iflib/lutil.h ../iflib/xutil.h nldbz.h dbz.h
-dbz.o: ../iflib/configdata.h ../iflib/clibrary.h dbz.h
+dbz.o: dbz.h
 ifstat.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h ../iflib/config.h ../iflib/scanout.h ../iflib/version.h ../iflib/trap.h
 ifinfo.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h nodelist.h nlindex.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h
+ifreq.o: ../iflib/getopt.h ../iflib/lutil.h ../iflib/xutil.h ../iflib/ftn.h ../iflib/config.h ../iflib/version.h ../iflib/trap.h
 version.o:
 # End of generated dependencies
