=== iflib/Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Makefile for ifcico FidoNet mailer
+# Copyright (c) 1993, 1994 by Eugene G. Crosser
+
 INCDIR = .
 
 include ../CONFIG
@@ -14,7 +17,7 @@
 		${OPTS}
 
 OBJS = lutil.o xutil.o ulock.o rfcdate.o sequencer.o ftnmsg.o \
-		crc.o parsedate.o gettime.o execute.o execsh.o \
+		crc.o execute.o execsh.o \
 		rdconfig.o ftn.o packet.o pktname.o bwrite.o \
 		bread.o getheader.o scanout.o matchaka.o atoul.o \
 		nodelock.o trap.o rfcaddr.o expipe.o callstat.o \
@@ -22,7 +25,7 @@
 		${NEEDED}
 SRCS = lutil.c xutil.c ulock.c rfcdate.c sequencer.c ftnmsg.c crc.c \
 		strncasecmp.c strcasecmp.c \
-		rename.c mkdir.c parsedate.y gettime.c \
+		rename.c mkdir.c \
 		rdconfig.c ftn.c packet.c pktname.c bwrite.c \
 		bread.c getheader.c scanout.c matchaka.c usleep.c \
 		execute.c execsh.c regexpr.c atoul.c \
@@ -32,7 +35,7 @@
 		config.h ftn.h bwrite.h bread.h getheader.h getopt.h \
 		scanout.h trap.h rfcaddr.h ftnmsg.h rfcmsg.h callstat.h \
 		version.h directory.h cspace.h log.h
-OTHER = Makefile README parsedate.3 mkvars.c
+OTHER = Makefile README mkvars.c
 
 #############################################################################
 
@@ -41,18 +44,12 @@
 
 all:		utlib.a
 
-parsedate.c:	parsedate.y
-	@echo expect 6 shift/reduce conflicts
-	${YACC} parsedate.y
-	mv y.tab.c parsedate.c
-	@echo expect 4 warnings compiling parsedate.c
-
 utlib.a:	${OBJS}
 	${AR} r $@ $?
 	${RANLIB} $@
 
 clean:
-	rm -f utlib.a *.o getdate.c parsedate.c testscan testconf testtrap \
+	rm -f utlib.a *.o getdate.c testscan testconf testtrap \
 	testrfcaddr core filelist Makefile.bak
 
 install:	all
@@ -69,7 +66,7 @@
 	(for f in ${SRCS} ${HDRS} ${OTHER} ;do echo ifcico-${VERSION}/$${BASE}/$$f; done) \
 	>filelist
 
-man:
+man man.gz:
 
 testconf:	rdconfig.c config.h utlib.a
 	cc -g -Wall -DTESTING rdconfig.c utlib.a -o $@
@@ -130,8 +127,6 @@
 strcasecmp.o:
 rename.o:
 mkdir.o:
-parsedate.y.o: configdata.h libinn.h macros.h
-gettime.o: configdata.h clibrary.h libinn.h
 rdconfig.o: xutil.h lutil.h ftn.h config.h log.h
 ftn.o: lutil.h xutil.h ftn.h rfcaddr.h config.h
 packet.o: xutil.h lutil.h ftn.h config.h bwrite.h
